Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 3.2.0
Resolution: Fixed
Description

I use markdown a lot. So I tried the developing version of Redmine.

Every thing goes fine, but I found the the footnotes not rendered correctly. Like follow image:

fn.png

I tried to modify the `Formatter.formatter` in `lib/redmine/wiki_formatting/markdown/formatter.rb`,
Add `footnotes` extension, but have not luck.

Is it possible to support `footnotes` ?

Related issues:
Related to Redmine - Patch # 28207: Test improvements for footnotes formattin... Closed
Duplicated by Redmine - Feature # 20405: Enable footnotes support in Markdown... Closed

Associated revisions
Revision 14628 - 2015-09-30 20:42 - Jean-Philippe Lang

Enables footnote support with Markdown (#16072).

Patch by Mischa The Evil.

History
#1 - 2014-03-06 04:47 - Toshi MARUYAMA
- Category set to Text formatting

#2 - 2014-08-25 15:08 - Kaoru Kobo

+1

#3 - 2015-07-25 09:29 - Go MAEDA
- Duplicated by Feature #20405: Enable footnotes support in Markdown formatter. added

#4 - 2015-07-25 09:32 - Go MAEDA

Patch by Mischa The Evil (#20405)

I did a quick test with footnotes support enabled and it seems to work properly OOTB. The feature with its syntax is described at the end of 
https://github.com/vmg/redcarpet#and-its-like-really-simple-to-use.
https://github.com/vmg/redcarpet#and-its-like-really-simple-to-use


diff --git a/lib/redmine/wiki_formatting/markdown/formatter.rb b/lib/redmine/wiki_formatting/markdown/formatter.rb
index 17d94a1..fdf17fe 100644
--- a/lib/redmine/wiki_formatting/markdown/formatter.rb
+++ b/lib/redmine/wiki_formatting/markdown/formatter.rb
@@ -128,7 +128,8 @@ module Redmine
             :tables => true,
             :strikethrough => true,
             :superscript => true,
-            :no_intra_emphasis => true
+            :no_intra_emphasis => true,
+            :footnotes => true
           )
         end
       end

#5 - 2015-07-25 09:50 - Go MAEDA
- Target version set to Candidate for next major release

Footnotes in Textile is already supported by Redmine.
I think footnotes in Markdown should also be supported.

#6 - 2015-08-23 02:39 - Toshi MARUYAMA
- Target version changed from Candidate for next major release to 3.2.0

#7 - 2015-09-30 20:42 - Jean-Philippe Lang
- Subject changed from Markdown footnote support. to Markdown footnote support
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

Committed in r14628, thanks.

#8 - 2018-02-18 00:06 - Mischa The Evil
- Related to Patch #28207: Test improvements for footnotes formatting syntax added

Files
fn.png 1.38 KB 2014-02-11 Anonymous

2019-06-17 2/2


